/* 
 * This program inputs a text file and a word then it searches for the word in the text file.
 * It displays the number of occurances of the word in the file
 */

#include <iostream>
#include <fstream>
#include "prompt.h"
#include "strutils.h"

using namespace std;

int main() 
{	
	ifstream inFile;

	string fileName = PromptString("Enter the name of file: ");

	inFile.open(fileName.c_str());

	if ( ! inFile.fail() ) 
	{
		int wordCount = 0;
		string word = PromptString("Enter the word to be searched: ");
		string nextWord = "";

		while (inFile >> nextWord)
		{
			if (nextWord == word) 
			{
				wordCount++;
			}
		}
		
		cout << "'" << word << "' Occured " << wordCount 
             << " time(s) in " << fileName << endl;
	} 
	else 
	{
		cout << "Error: Cannot open file "<< fileName << endl;
	}

	return 0;
}
