/* 
 * This program takes a text file as an input and changes the uppercase letters into lowercase and
 * lowercase letters into uppercase in this file. 
 */

#include <iostream>
#include <fstream>
#include "prompt.h"

using namespace std;

int main()
{

	ifstream input;
	ofstream output;

	string inFileName = PromptString("enter input file name : ");
	string outFileName = PromptString("enter output file name : ");

	input.open(inFileName.c_str());
	if (input.fail())
	{
		cout << "Error: Cannot open file "<< inFileName<<endl ;
		
	}
	else
	{
		output.open(outFileName.c_str());
		if (output.fail())
		{
			cout << "Error: Cannot open file "<< outFileName << endl;
		
		}
		else
		{
			char ch;
			while (input.get(ch))
			{
				output << ch;
				if (ch == '.')
				{
					output << endl;
				}
			}
		}
	}
	return 0;
}
