/* This program inputs integers and calculates their arithmetic mean.
 * It reads strings and check if they are integers by using a user-defined function.
 */

#include <iostream>
#include "strutils.h"

using namespace std;

bool isInteger(string input);

int main()
{
	int numOfIntegers = 0;
	double average = 0;
	double sum = 0;
	string word;
	
	cout << "Enter an integer: ";
    //use CTRL-z to get out of while loop
	while(cin >> word)
	{
		int intVal;

		if(isInteger(word))
		{
			intVal = atoi(word);
			sum = sum + intVal;
			numOfIntegers++;
		}
		cout << "Enter an integer: ";
	}
	if (numOfIntegers != 0) 
	{
		average = sum/numOfIntegers;
		cout << endl << "average : " << average <<endl;
	}
	else 
	{
		cout << "No integers entered!" << endl;
	}

	return 0;
}

/*
 * Function to check whether input consists only of digits
 */
bool isInteger(string input)
{
	int count=0;

	bool retVal = false;
	unsigned int length = input.length();

	for(unsigned int i=0; i < length; i++)
	{
		if(input.substr(i,1) <= "9" && input.substr(i,1) >= "0")
		{
			count++;
		}
	}

	if(count == input.length())
	{
		retVal = true;
	}

	return retVal;
}

