/*
 * Program inputs some double values and prints their sum. The number of inputs is also an input.
 * Program asks for input until correct type of input is entered. 
 */
#include <iostream>
#include <string>
using namespace std;

/*
 * Read an integer input from command line.
 */
int InputInt()
{
	int num;
	
	/*
	 * Read inputs from command line continuously until an integer is entered.
	 * If input is not integer then display the value entered indicating that it
	 * is not of correct type.
	 */
	while(!(cin >> num))
	{
		string s;
		cin.clear();
		cin >> s;
		cout << s << " is not integer" << endl;
		cout << "Please enter an integer:" << endl;
	}
	return num;
}

/*
 * Read a double input from command line.
 */
double InputDouble()
{
	double num;

	/*
	 * Read inputs from command line continuously until a double is entered.
	 * If input is not double then display the value entered indicating that it
	 * is not of correct type.
	 */
	while(!(cin >> num))
	{
		string s;
		cin.clear();
		cin >> s;
		cout << s << " is not real number" << endl;
		cout << "Please enter a real number:" << endl;
	}
	return num;
}

int main()
{
	int n;
	double num, sum=0;

	//Ask user to input # of numbers to be added 
	cout<<"Enter number of real numbers to be added up: ";
	n=InputInt();

	for(int i=0; i<n; i++)
	{
		//Ask user to input a real number
		cout << "Enter a real number: ";
		num = InputDouble();

		sum += num;
	}
	cout << "Sum of numbers: "<< sum << endl;


	return 0;
}